Subject: Re: bug#62535: 29.0.60; Wrong left, top values stored in .emacs.desktop file

From: Eli Zaretskii <[email-masked]>
Date: Thu, 30 Mar 2023 08:43:05 +0300

> Date: Wed, 29 Mar 2023 22:45:20 +0200
> From: Claudio Grondi <[email-masked]>
> 
> From: Claudio <[email-masked]>
> To: [email-masked]
> Subject: 29.0.60; Wrong left, top values stored in .emacs.desktop file
> 
> check out
> 
> https://emacs.stackexchange.com/questions/76547/bug-in-emacs-29-0-60-or-is-there-a-way-to-prevent-moving-the-emacs-position-on-r/
> 
> for details.

I can only say that I'm using desktop with multiple frames for the
last decade, and the frames are always restored in the same positions.
So I think this has at least something to do with the WM you are
using, where Emacs can only ask to position its frames, but has no
100% control on where they are actually positioned.

IOW, much more information and details are needed to reproduce this
and investigate the reasons, and eventually the problem could have no
solution, as long as you use the same WM.